diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/include/patchlevel.h ircd-hybrid-6.0/include/patchlevel.h
--- ircd-hybrid-6.0.orig/include/patchlevel.h	Mon Jun 25 10:32:04 2001
+++ ircd-hybrid-6.0/include/patchlevel.h	Mon Jun 25 10:31:54 2001
@@ -17,5 +17,5 @@
  */
 
 #ifndef PATCHLEVEL
-#define PATCHLEVEL    "dancer-ircd-0.9.1.4"
+#define PATCHLEVEL    "dancer-ircd-0.9.1.5"
 #endif
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/m_map.c ircd-hybrid-6.0/src/m_map.c
--- ircd-hybrid-6.0.orig/src/m_map.c	Mon Jun 25 10:32:04 2001
+++ ircd-hybrid-6.0/src/m_map.c	Mon Jun 25 10:30:51 2001
@@ -55,7 +55,7 @@
     {
       if (aconf->map_done)
 	{
-	  sendto_ops_flag(UMODE_DEBUG, "WTF: already done %s (%d, %s, %d) in m_map()", current->name, aconf->map_done, aconf->name, aconf);
+	  sendto_ops_flag(UMODE_DEBUG, "WTF: already done %s (%d, %s, %d) in m_map()", current->name, aconf ? aconf->map_done : -1, aconf ? aconf->name : "", aconf);
 	}
       aconf->map_done = 1;
     }
@@ -131,7 +131,7 @@
 	      continue;
 	    if (conf->map_done)
 	      {
-		sendto_ops_flag(UMODE_DEBUG, "clearing conf->map_done in m_map(), conf == %d, conf->name == %s, conf->map_done == %s", conf, conf->name, conf->map_done);
+		sendto_ops_flag(UMODE_DEBUG, "clearing conf->map_done in m_map(), conf == %d, conf->name == %s, conf->map_done == %d", conf, (conf && conf->name) ? conf->name : "", conf ? conf->map_done : -1);
 		conf->map_done = 0; /* clear it for the next map */
 		continue;
 	      }
